<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8C04=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Strikes">
    <script state="run">
      <action>maincpu.pb@8C98=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Balls">
    <script state="run">
      <action>maincpu.pb@8C99=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Outs">
    <script state="run">
      <action>maincpu.pb@8C97=00</action>
    </script>
  </cheat>

  <cheat desc="Set Strikes to 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C98=00</action>
    </script>
  </cheat>

  <cheat desc="Set Strikes to 3 Now!">
    <script state="on">
      <action>maincpu.pb@8C98=03</action>
    </script>
  </cheat>

  <cheat desc="Set Balls to 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C99=00</action>
    </script>
  </cheat>

  <cheat desc="Set Balls to 4 Now!">
    <script state="on">
      <action>maincpu.pb@8C99=04</action>
    </script>
  </cheat>

  <cheat desc="Set Outs to 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C97=00</action>
    </script>
  </cheat>

  <cheat desc="Set Outs to 3 Now!">
    <script state="on">
      <action>maincpu.pb@8C97=03</action>
    </script>
  </cheat>

  <cheat desc="Your R1 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C83=09</action>
    </script>
  </cheat>

  <cheat desc="Your R2 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C84=09</action>
    </script>
  </cheat>

  <cheat desc="Your R3 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C85=09</action>
    </script>
  </cheat>

  <cheat desc="Your R4 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C86=09</action>
    </script>
  </cheat>

  <cheat desc="Your R5 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C87=09</action>
    </script>
  </cheat>

  <cheat desc="Your R6 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C88=09</action>
    </script>
  </cheat>

  <cheat desc="Your R7 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C89=09</action>
    </script>
  </cheat>

  <cheat desc="Your R8 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C8A=09</action>
    </script>
  </cheat>

  <cheat desc="Your R9 score always = 9">
    <script state="run">
      <action>maincpu.pb@8C8B=09</action>
    </script>
  </cheat>

  <cheat desc="Your R1 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C83=09</action>
    </script>
  </cheat>

  <cheat desc="Your R2 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C84=09</action>
    </script>
  </cheat>

  <cheat desc="Your R3 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C85=09</action>
    </script>
  </cheat>

  <cheat desc="Your R4 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C86=09</action>
    </script>
  </cheat>

  <cheat desc="Your R5 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C87=09</action>
    </script>
  </cheat>

  <cheat desc="Your R6 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C88=09</action>
    </script>
  </cheat>

  <cheat desc="Your R7 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C89=09</action>
    </script>
  </cheat>

  <cheat desc="Your R8 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C8A=09</action>
    </script>
  </cheat>

  <cheat desc="Your R9 score = 9 Now!">
    <script state="on">
      <action>maincpu.pb@8C8B=09</action>
    </script>
  </cheat>

  <cheat desc="Select your R1 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C83=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R2 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C84=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R3 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C85=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R4 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C86=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R5 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C87=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R6 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C88=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R7 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C89=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R8 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C8A=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select your R9 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C8B=(param)</action>
    </script>
  </cheat>

  <cheat desc="CPUs R1 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C8D=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R2 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C8E=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R3 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C8F=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R4 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C90=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R5 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C91=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R6 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C92=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R7 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C93=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R8 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C94=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R9 score always = 0">
    <script state="run">
      <action>maincpu.pb@8C95=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R1 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C8D=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R2 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C8E=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R3 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C8F=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R4 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C90=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R5 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C91=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R6 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C92=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R7 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C93=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R8 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C94=00</action>
    </script>
  </cheat>

  <cheat desc="CPUs R9 score = 0 Now!">
    <script state="on">
      <action>maincpu.pb@8C95=00</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R1 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C8D=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R2 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C8E=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R3 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C8F=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R4 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C90=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R5 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C91=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R6 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C92=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R7 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C93=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R8 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C94=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select CPUs R9 Score">
    <parameter min="0" max="121" step="1"/>
    <script state="change">
      <action>maincpu.pb@8C95=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
